package edu.iastate.sdmay2025.breweries;

import java.util.Collection;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

@RestController
@CrossOrigin(origins= {"*"})
public class BreweriesController {
	
	@Autowired
	BreweriesRepo breweriesRepo;
	
	@ResponseBody
	@RequestMapping(method = RequestMethod.GET, path="/breweries/10")
	public Collection<Breweries> getTenBreweries() {
		Collection<Breweries> result = breweriesRepo.getTenBreweries();
		return result;
	}
	
	@ResponseBody
	@RequestMapping(method = RequestMethod.GET, path="/breweries/10/nojoin")
	public Collection<BreweriesNoJoin> getTenBreweriesNoJoin() {
		Collection<BreweriesNoJoin> result = breweriesRepo.getTenBreweries(BreweriesNoJoin.class);
		return result;
	}

}
