package edu.iastate.sdmay2025.distributioncenters;

import java.util.Collection;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import edu.iastate.sdmay2025.breweries.BreweriesNoJoin;

@RestController
@CrossOrigin(origins= {"*"})
public class DistributionCentersController {
	
	@Autowired
	DistributionCentersRepo DistributionCentersRepo;
	
	@ResponseBody
	@RequestMapping(method = RequestMethod.GET, path="/regions")
	public Collection<DistributionCentersNoJoin> getRegions() {
		Collection<DistributionCentersNoJoin> result = DistributionCentersRepo.getRegions(DistributionCentersNoJoin.class);
		return result;
	}

}
