package edu.iastate.sdmay2025.distributors;

import java.math.BigDecimal;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;

public interface DistributorsNoJoin {
	
	@SuppressWarnings("deprecation")
	@JsonSerialize(include=JsonSerialize.Inclusion.NON_NULL)
	
	int getId();
	
	String getName();
	
	BigDecimal getOrder_minimum();
	
	boolean getMonday();
	
	boolean getTuesday();
	
	boolean getWednesday();
	
	boolean getThursday();
	
	boolean getFriday();
	
	boolean getSaturday();
	
	boolean getSunday();
	
	Integer getTerm();
	
	BigDecimal getProcurement_buffer();

}
