package edu.iastate.sdmay2025.predictions;

import java.util.List;
import java.util.Optional;

import org.springframework.data.jpa.repository.JpaRepository;

public interface PredictionsRepo extends JpaRepository<Predictions, Integer> {
	
	public Predictions findById( int id );
	
	public List<Predictions> findBySkusId( long id );
	
	public List<Predictions> findAll();
	
	public Optional<Predictions> findTop1BySkusIdOrderByDateDesc( long id );
	
}