package edu.iastate.sdmay2025.breweries;

import java.util.Collection;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

public interface BreweriesRepo extends JpaRepository<Breweries, Integer> {

	@Query(value="SELECT * FROM breweries LIMIT 10", nativeQuery=true)
	Collection<Breweries> getTenBreweries();
	
	@Query(value="SELECT * FROM breweries LIMIT 10", nativeQuery=true)
	<T> Collection<T> getTenBreweries(Class<T> type);
	
}
