package edu.iastate.sdmay2025.distributioncenters;

import java.util.Collection;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

public interface DistributionCentersRepo extends JpaRepository<DistributionCenters, Integer> {

	@Query(value="SELECT * FROM distribution_centers", nativeQuery=true)
	Collection<DistributionCenters> getRegions();
	
	@Query(value="SELECT * FROM distribution_centers", nativeQuery=true)
	<T> Collection<T> getRegions(Class<T> type);
	
}
