package edu.iastate.sdmay2025.inventorysnapshots;

import java.sql.Timestamp;
import java.util.Date;

import javax.persistence.Entity;


/**
 * Data Transfer Object to hold the historical inventory levels type.
 * 
 * Just a date and a count. 
 * 
 * @author Sam Stifter
 */
public class InventorySnapshotsDto {
	
	private Date createdAt;
	
	private int count;
	
	public InventorySnapshotsDto() {
		
	}
	
	public InventorySnapshotsDto( Date createdAt, int count ) {
		this.createdAt = createdAt;
		this.count = count;
	}

	public Date getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}

	public int getCount() {
		return count;
	}

	public void setCount(int count) {
		this.count = count;
	}

}
