import moment from "moment";

export class OrderHistoryLevel {
  createdAt: moment.Moment;
  count: number;

  constructor(data: any) {
    this.createdAt = moment(data.createdAt);
    this.count = data.count;
  }
}

export class MissedOrder {
  orderDate: moment.Moment;
  missedCount: number;
  skuId: number;

  constructor(data: any) {
    this.orderDate = moment(data.orderDate);
    this.missedCount = data.missedCount;
    this.skuId = data.skuId;
  }
}
